* corpus charka — nivel 5: IF anidado y condiciones con AND
IDENTIFICATION DIVISION.
PROGRAM-ID. CLASIFICAR.
DATA DIVISION.
WORKING-STORAGE SECTION.
01 WS-EDAD   PIC 9(3) VALUE 0.
01 WS-INDICE PIC 9(2) VALUE 1.
PROCEDURE DIVISION.
MAIN-PARA.
    PERFORM CLASIFICAR-PARA 4 TIMES.
    STOP RUN.
CLASIFICAR-PARA.
    COMPUTE WS-EDAD = WS-INDICE * 25.
    IF WS-EDAD < 18
        DISPLAY 'MENOR DE EDAD'
    ELSE
        IF WS-EDAD >= 18 AND WS-EDAD < 65
            DISPLAY 'ADULTO'
        ELSE
            DISPLAY 'ADULTO MAYOR'
        END-IF
    END-IF.
    ADD 1 TO WS-INDICE.
